%-------------------user_mxSlope3.m;
clear;
load('TempModel/bg_3DSlope2.mat');

d.calculateData();
B.setUIoutput();
d.mo.setGPU('off');

%-----------setup of the calculation
d.getModel();%d.setModel();%reset the initial status of the model
d.mo.aHeat(:)=0;
d.status=modelStatus(d);%initialize model status, which records running information

slopeSourceId=d.GROUP.slopeSource
slopeBodyId=d.GROUP.slopeBody
slopeWallId=d.GROUP.slopeWall
exId=setxor(slopeBodyId,slopeSourceId);


d.breakGroupOuter({'slopeSource'});%break the outer connection of the group
d.breakGroup({'slopeSource'});%break the outer connection of the group

d.mo.isHeat=1;%calculate heat in the model

visRate=0.00001;%ok
d.mo.mVis=d.mo.mVis*visRate;%use lower viscosity

d.setStandarddT();%reset the step time
d.mo.dT=d.mo.dT*4;%increase step time to increase the computing speed
%-----------end setup of the calculation

%---------setup of numerical simulation
fName=['data/step/' B.name num2str(B.ballR) '-' num2str(B.distriRate) 'loopNum'];
save([fName '0.mat']);
gpuStatus=d.mo.setGPU('auto');
totalCircle=70;
d.tic(totalCircle);
%---------start the numerical simulation
for i=1:totalCircle
    d.mo.setGPU(gpuStatus);
    d.balance('Standard',0.13);
    d.mo.setGPU('off');
    d.clearData(1);
    d.mo.setGPU('off');
    d.figureNumber=d.show('mV');
    d.toc();%show the note of time;
    d.clearData(1);%clear data in d.mo
    save([fName num2str(i) '.mat']);
    d.calculateData();
end


%----------save the data
d.mo.setGPU('off');
d.clearData(1);
d.recordCalHour('Box3DSlope3Finish');
save(['TempModel/' B.name '3.mat'],'d','-v7.3');
save(['TempModel/' B.name '3' num2str(B.ballR) '-' num2str(B.distriRate)  'aNum' num2str(d.aNum) '.mat'],'-v7.3');
d.calculateData()
%d.show('aR');